package com.atguigu.anno;

import com.atguigu.config.WebMvcConfiguration;
import com.atguigu.interceptor.UserLoginAuthInterceptor;
import org.springframework.context.annotation.Import;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = ElementType.TYPE)
@Import(value = {UserLoginAuthInterceptor.class, WebMvcConfiguration.class})
public @interface EnableUserWebMvcConfiguration {

}